Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.PageTextLinks Class Reference
Inheritance diagram for com.foxit.sdk.pdf.PageTextLinks:

## Public Member Functions
| PageTextLinks (PageTextLinks other)
| Constructor, with another PageTextLinks object. More...
| PageTextLinks (TextPage page) throws com.foxit.sdk.PDFException
| Constructor, from a parsed PDF page. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
TextLink | getTextLink (int index) throws com.foxit.sdk.PDFException
| Get a text link object by index. More...
int | getTextLinkCount () throws com.foxit.sdk.PDFException
| Get the count of the URL formatted texts, in related PDF page. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

In a PDF page, some text content may represent a hypertext link to a website or a resource on the internet, or an e-mail address. Class PageTextLinks is used to manage these kind of text content as text links.

## Constructor & Destructor Documentation

## ◆ PageTextLinks() [1/2]

com.foxit.sdk.pdf.PageTextLinks.PageTextLinks | ( | TextPage | page | ) | throws com.foxit.sdk.PDFException

Constructor, from a parsed PDF page.

Parameters

  [in] | page | A valid PDF page object. This page should has been parsed.

## ◆ PageTextLinks() [2/2]

com.foxit.sdk.pdf.PageTextLinks.PageTextLinks | ( | PageTextLinks | other | ) |

Constructor, with another PageTextLinks object.

Parameters

  [in] | other | Another PageTextLinks object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.PageTextLinks.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

Reimplemented from com.foxit.sdk.common.Base.

## ◆ getTextLink()

TextLink com.foxit.sdk.pdf.PageTextLinks.getTextLink | ( | int | index | ) | throws com.foxit.sdk.PDFException

Get a text link object by index.

Parameters

  [in] | index | Index of a text link object. Valid range: from 0 to (count-1). count is returned by function PageTextLinks.getTextLinkCount .

Returns
  The specified text link object.

## ◆ getTextLinkCount()

int com.foxit.sdk.pdf.PageTextLinks.getTextLinkCount | ( |  | ) | throws com.foxit.sdk.PDFException

Get the count of the URL formatted texts, in related PDF page.

Returns
  The count of the text links, if returned -1 means error on the construct.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.PageTextLinks.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.